API referenceLinkedin messaging
GET
/api/v1/chat_attendees/{id}/chats

The account's one-to-one chats with that person.

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Path Parameters

id*string

The person's provider id (ACoA…).

Query Parameters

account_id*string

The LinkedIn account (lg_…) to act as.

Length1 <= length

Response Body

application/json

curl -X GET "https://example.com/api/v1/chat_attendees/string/chats?account_id=lg_3f9c2a7b1d"
{  "object": "ChatList",  "items": [    {      "object": "Chat",      "id": "string",      "account_id": "string",      "provider_id": "string",      "attendees": [        {          "object": "ChatAttendee",          "id": "string",          "provider_id": "string",          "public_identifier": "string",          "name": "string",          "picture_url": "string",          "profile_url": "string",          "specifics": {            "occupation": "string"          },          "account_id": "string",          "is_self": 0        }      ],      "timestamp": "2019-08-24T14:15:22Z",      "unread_count": 0,      "archived": 0,      "last_message": {        "object": "Message",        "id": "string",        "message_id": "string",        "chat_id": "string",        "text": "string",        "subject": "string",        "timestamp": "2019-08-24T14:15:22Z",        "is_sender": 0,        "is_event": 0,        "sender_attendee_provider_id": "string",        "sender_provider_id": "string",        "attachments": [          {            "id": "string",            "type": "img",            "file_name": "string",            "file_size": 0,            "mimetype": "string",            "voice_note": true,            "duration": 0,            "unavailable": true          }        ]      }    }  ],  "cursor": "string"}